Bug 1288639 - [abrt] eclipse-pydev: init_libpycomps(): python2.7 killed by SIGSEGV
[abrt] eclipse-pydev: init_libpycomps(): python2.7 killed by SIGSEGV
Status: CLOSED DUPLICATE of bug 1244972
Product: Fedora
Classification: Fedora
Component: eclipse-pydev (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:33042d4b45f75dd9319316181c4...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 15:25 EST by laolux
Modified: 2016-06-28 10:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-28 10:03:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (114.49 KB, text/plain)
2015-12-04 15:25 EST, laolux
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-04 15:25 EST, laolux
no flags Details
File: core_backtrace (9.88 KB, text/plain)
2015-12-04 15:25 EST, laolux
no flags Details
File: dso_list (46.91 KB, text/plain)
2015-12-04 15:25 EST, laolux
no flags Details
File: environ (2.92 KB, text/plain)
2015-12-04 15:25 EST, laolux
no flags Details
File: exploitable (82 bytes, text/plain)
2015-12-04 15:25 EST, laolux
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-04 15:25 EST, laolux
no flags Details
File: maps (218.83 KB, text/plain)
2015-12-04 15:25 EST, laolux
no flags Details
File: mountinfo (3.55 KB, text/plain)
2015-12-04 15:25 EST, laolux
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-04 15:25 EST, laolux
no flags Details
File: open_fds (1.37 KB, text/plain)
2015-12-04 15:25 EST, laolux
no flags Details
File: proc_pid_status (1019 bytes, text/plain)
2015-12-04 15:25 EST, laolux
no flags Details

  None (edit)
Description laolux 2015-12-04 15:25:11 EST
Description of problem:
I tried opening my workspace with a new version of eclipse. Eclipse asked me to update some components including pydev. I klicked yes and a couple of minutes later received a message that something crashed.
Eclipse seems to work fine though. Maybe no bug at all, but rather a wrong report?

Version-Release number of selected component:
eclipse-pydev-4.4.0-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/python -u /usr/lib64/eclipse/dropins/pydev-core/eclipse/plugins/org.python.pydev_4.4.0.201510221100/pysrc/pycompletionserver.py 39600
crash_function: init_libpycomps
executable:     /usr/bin/python2.7
global_pid:     11661
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 init_libpycomps at /usr/src/debug/libcomps-d86995b748419bf6ca36f1c7f233727736d2efd5/libcomps/src/python/src/pycomps.c:1110
 #1 _PyImport_LoadDynamicModule at /usr/src/debug/Python-2.7.10/Python/importdl.c:53
 #2 load_module at /usr/src/debug/Python-2.7.10/Python/import.c:1919
 #3 import_submodule at /usr/src/debug/Python-2.7.10/Python/import.c:2704
 #4 load_next at /usr/src/debug/Python-2.7.10/Python/import.c:2519
 #5 import_module_level at /usr/src/debug/Python-2.7.10/Python/import.c:2228
 #6 PyImport_ImportModuleLevel at /usr/src/debug/Python-2.7.10/Python/import.c:2292
 #7 builtin___import__ at /usr/src/debug/Python-2.7.10/Python/bltinmodule.c:49
 #8 PyObject_Call at /usr/src/debug/Python-2.7.10/Objects/abstract.c:2529
 #9 PyEval_CallObjectWithKeywords at /usr/src/debug/Python-2.7.10/Python/ceval.c:3981

Potential duplicate: bug 1107994
Comment 1 laolux 2015-12-04 15:25:17 EST
Created attachment 1102431 [details]
File: backtrace
Comment 2 laolux 2015-12-04 15:25:18 EST
Created attachment 1102432 [details]
File: cgroup
Comment 3 laolux 2015-12-04 15:25:20 EST
Created attachment 1102433 [details]
File: core_backtrace
Comment 4 laolux 2015-12-04 15:25:22 EST
Created attachment 1102434 [details]
File: dso_list
Comment 5 laolux 2015-12-04 15:25:23 EST
Created attachment 1102435 [details]
File: environ
Comment 6 laolux 2015-12-04 15:25:25 EST
Created attachment 1102436 [details]
File: exploitable
Comment 7 laolux 2015-12-04 15:25:26 EST
Created attachment 1102437 [details]
File: limits
Comment 8 laolux 2015-12-04 15:25:29 EST
Created attachment 1102438 [details]
File: maps
Comment 9 laolux 2015-12-04 15:25:30 EST
Created attachment 1102439 [details]
File: mountinfo
Comment 10 laolux 2015-12-04 15:25:32 EST
Created attachment 1102440 [details]
File: namespaces
Comment 11 laolux 2015-12-04 15:25:33 EST
Created attachment 1102441 [details]
File: open_fds
Comment 12 laolux 2015-12-04 15:25:34 EST
Created attachment 1102442 [details]
File: proc_pid_status
Comment 13 Alexander Kurtakov 2016-06-17 08:52:55 EDT
Can you give us instructions how to reproduce this bug? If you still experience it yourself of course.
Comment 14 laolux 2016-06-18 05:57:59 EDT
No, I have not succeeded reproducing it. I tried copying an old version of my workspace to my testing machine, but there it won't crash. I also had some physical hard drive related issues on the machine where the crash occurred, so maybe it was due to that.
In short: bug has not bothered me since, so maybe just close it.
Comment 15 Mat Booth 2016-06-28 10:03:11 EDT

*** This bug has been marked as a duplicate of bug 1244972 ***

Note You need to log in before you can comment on or make changes to this bug.